> ## Documentation Index
> Fetch the complete documentation index at: https://docs.antimetal.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete an issue

> Permanently deletes an issue and all associated data



## OpenAPI

````yaml /assets/openapi.mintlify.json delete /issues/{id}
openapi: 3.0.0
info:
  title: Antimetal External API
  description: >-
    Public-facing API for external integrations with Antimetal. Provides
    programmatic access to issue investigation, results, artifacts, and chat
    functionality.
  version: '2026-03-17'
  contact: {}
servers:
  - url: https://bff.antimetal.com/api/v2
    description: Production API
  - url: https://bff.dev.antimetal.com/api/v2
    description: Dev API
security:
  - bearer: []
tags: []
paths:
  /issues/{id}:
    delete:
      tags:
        - Issues
      summary: Delete an issue
      description: Permanently deletes an issue and all associated data
      operationId: deleteIssue
      parameters:
        - $ref: '#/components/parameters/AntimetalVersion'
        - name: id
          required: true
          in: path
          description: Issue unique identifier (UUID)
          schema:
            type: string
            format: uuid
            pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$
      responses:
        '204':
          description: Issue deleted successfully
        '400':
          description: Validation error or bad request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponseDto'
        '401':
          description: Authentication required
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponseDto'
        '403':
          description: Insufficient permissions
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponseDto'
        '404':
          description: Resource not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponseDto'
        '429':
          description: Rate limit exceeded
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponseDto'
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponseDto'
      x-codeSamples:
        - lang: JavaScript
          source: |-
            import Antimetal from '@antimetal/sdk';

            const client = new Antimetal({
              apiKey: process.env['ANTIMETAL_API_KEY'], // This is the default and can be omitted
            });

            await client.issues.delete('182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e');
components:
  parameters:
    AntimetalVersion:
      name: Antimetal-Version
      in: header
      required: false
      description: >-
        The API version to use. Defaults to the latest stable version if
        omitted. Pin to the version string in this document's `info.version`
        field to opt into exactly this version's schema.
      schema:
        type: string
        example: '2026-03-17'
        default: '2026-03-17'
  schemas:
    ErrorResponseDto:
      type: object
      properties:
        type:
          type: string
          enum:
            - api_error
            - invalid_request_error
            - authentication_error
          description: Error type classification
        message:
          type: string
          description: Human-readable error message
        request_id:
          type: string
          description: Request correlation ID for tracing and support
        details:
          description: Detailed field-level validation errors (for 400/422 responses)
          type: object
          additionalProperties:
            type: string
      required:
        - type
        - message
        - request_id
  securitySchemes:
    bearer:
      type: http
      scheme: bearer
      description: API key authentication via Bearer token

````